#!/usr/bin/perl
# vp 13.11.2006
# 23.05.2009	CLS vs. GCLS korrigiert, Filelnge-0x401

# $ARGV[0]||='t.bas';

die <<HELP unless @ARGV;
Aufruf: basic2tap tap-file
konvertiert Basic-TextDateien ins AF-TAP-Format
HELP

open IN, "<$ARGV[0]" or die "$ARGV[0] not found\n";
($file = "$ARGV[0]") =~ s/\..*//;
$file = substr($file,0,8);

# Einlesen
@basic=();
while (<IN>) {
	chomp;
	($line, $code) = /(\d+)\s?(.*)/;
	if ($line eq '' or $code eq '') {
		print "keine BASIC-Zeile '$_'\n";
	}
	push @basic, \{"line" => $line, "code" => $code};
}
close IN;

# Programme in interner Codierung (CSAVE/CLOAD), (SSS $D3) bzw. geschtzt (WWW $D7)
# ----------------------------------------------
# 
# Kopf	3 Byte Typ	'D3D3D3'
# 	8 Byte Name
# 	2 Byte Gesamtlnge (hex)
# dann folgen die Basic-Zeilen
#     	2 Byte Adresse nchste Zeile (hex), 0 --> Ende
# 	2 Byte Zeilennummer (hex)
# 	Basic-Befehle werden als 1-Byte-Token kodiert (Code >= $80)
# 	nicht in Strings (ziwschen "")!!
# 	1 Byte Zeilenende 00
# Ende	1 Byte 03 (STOP)


$uuu = '';
$pos = 0x401;

# Komprimieren
foreach $basic (@basic) {
	last if $. > 3;
	my $str = $$$basic{code};
	my @arr = $str =~ /"([^"]*)"/gs; # Text zw. "" extrahieren 
	my @arrREM = $str =~ /REM(.*)$/gs; # Text ab REM extrahieren 
	my @arrREM2 = $str =~ /!(.*)$/gs; # Text ab ! extrahieren 
##todo	my @arrDATA = $str =~ /DATA(.*)[$|:]/gs; # Text ab DATA extrahieren 
  	$str =~ s/"[^"]*"/"%s"/gs;       # %s stattdessen einsetzen 
  	$str =~ s/REM.*$/REM%r/gs;       # %s stattdessen einsetzen 
  	$str =~ s/!.*$/!%t/gs;           # %s stattdessen einsetzen 
	# Ersetzungen in $str durchfhren 
	$str = uc $str;
  	$str =~ s/%S/%s/gs;
	$str = &compress_basic($str);
	$str = sprintf $str, @arr;       # Teile wieder zusammenfgen 
  	$str =~ s/%R/%s/gs;
	$str = sprintf $str, @arrREM;    # Teile wieder zusammenfgen 
  	$str =~ s/%T/%s/gs;
	$str = sprintf $str, @arrREM2;    # Teile wieder zusammenfgen 
	
	$$$basic{icode} = $str;
	$$$basic{length} = length($str);
	
	$pos += $$$basic{length}+5;
	$uuu .= pack("v", $pos);
	$uuu .= pack("v", $$$basic{line});
	$uuu .= $$$basic{icode} . "\x00";
}

# Kopf und Ende ergnzen
$uuu = "\xD3"x3 . uc (substr($file.' 'x8,0,8)) . pack ("v", $pos-0x401+2) . $uuu . "\x00\x00\x03";

# Ausgabe als TAP-File
$OUT = "${file}_sss.tap";
print "$OUT ";
open OUT, ">$OUT";
binmode OUT;

#Header schreiben
print OUT 'KC-TAPE by AF. ';
$blocknr = 1;
while ($uuu) {
	# aufteilen in 128-Byte-Blcke
	$block = substr($uuu,0,128,'');
	
	if (length($block) < 128) {
		$block .= "\x00"x(128-length($block))
	}
	
	# ausgabe Blocknr, Block
	print OUT pack("C",$blocknr++);
	print OUT $block;
}

close OUT;


sub compress_basic {
	$_ = shift;
  	s/\?/print/g;

	s/PAINT/\xe6/g;		# vorgezogen wg INT
  	s/POINT/\xef/g;		# vorgezogen wg INT

	# bm600
  	s/FOR/\x81/g;
  	s/NEXT/\x82/g;
  	s/DATA/\x83/g;
  	s/INPUT/\x84/g;
  	s/DIM/\x85/g;
  	s/READ/\x86/g;
  	s/GOTO/\x88/g;
  	s/RUN/\x89/g;
  	s/IF/\x8a/g;
  	s/RESTORE/\x8b/g;
  	s/GOSUB/\x8c/g;
  	s/RETURN/\x8d/g;
  	s/REM/\x8e/g;
  	s/STOP/\x8f/g;
  	s/OUT/\x90/g;
##  	s/ON/\x91/g;
  	s/NULL/\x92/g;
  	s/WAIT/\x93/g;
  	s/DEF/\x94/g;
  	s/POKE/\x95/g;
  	s/DOKE/\x96/g;
  	s/AUTO/\x97/g;
  	s/LINES/\x98/g;
  	s/WIDTH/\x9a/g;
  	s/BYE/\x9b/g;
  	s/!/\x9c/g;
  	s/CALL/\x9d/g;
  	s/PRINT/\x9e/g;
  	s/CONT/\x9f/g;
  	s/LIST/\xa0/g;
  	s/CLEAR/\xa1/g;
  	s/CLOAD/\xa2/g;
  	s/CSAVE/\xa3/g;
  	s/NEW/\xa4/g;
  	s/TAB\(/\xa5/g;
  	s/TO/\xa6/g;
  	s/FN/\xa7/g;
  	s/SPC\(/\xa8/g;
  	s/THEN/\xa9/g;
  	s/NOT/\xaa/g;
  	s/STEP/\xab/g;
  	s/\+/\xac/g;
  	s/\-/\xad/g	unless /\x83/;
  	s/\*/\xae/g;
  	s/\//\xaf/g;
  	s/\^/\xb0/g;
  	s/AND/\xb1/g;
##  	s/OR/\xb2/g;
  	s/>/\xb3/g;
  	s/=/\xb4/g;
  	s/</\xb5/g;
  	s/SGN/\xb6/g;
  	s/INT/\xb7/g;
  	s/ABS/\xb8/g;
  	s/USR/\xb9/g;
  	s/FRE/\xba/g;
  	s/INP/\xbb/g;
  	s/POS/\xbc/g;
  	s/SQR/\xbd/g;
  	s/RND/\xbe/g;
  	s/LN/\xbf/g;
  	s/EXP/\xc0/g;
  	s/COS/\xc1/g;
  	s/SIN/\xc2/g;
  	s/TAN/\xc3/g;
  	s/ATN/\xc4/g;
  	s/PEEK/\xc5/g;
  	s/DEEK/\xc6/g;
  	s/PI/\xc7/g;
  	s/STR\$/\xc9/g;
  	s/VAL/\xca/g;
  	s/ASC/\xcb/g;
  	s/CHR\$/\xcc/g;
  	s/LEFT\$/\xcd/g;
  	s/RIGHT\$/\xce/g;
  	s/MID\$/\xcf/g;
  	s/LOAD/\xd0/g;
  	s/TRON/\xd1/g;
  	s/TROFF/\xd2/g;
  	s/EDIT/\xd3/g;
  	s/ELSE/\xd4/g;

	# bm608
  	s/INKEY\$/\xd5/g;
  	s/JOYST/\xd6/g;
  	s/STRING\$/\xd7/g;
  	s/INSTR/\xd8/g;
  	s/RENUM/\xd9/g;#RENUMBER
  	s/DELETE/\xda/g;
  	s/PAUSE/\xdb/g;
  	s/BEEP/\xdc/g;
  	s/WINDOW/\xdd/g;
  	s/BORDER/\xde/g;
  	s/INK/\xdf/g;
  	s/PAPER/\xe0/g;
  	s/AT/\xe1/g;
  	s/PSET/\xe2/g;
  	s/LINE/\xe3/g;
  	s/CIRCLE/\xe4/g;
#  	s/!/\xe5/g;
  	s/PAINT/\xe6/g;
  	s/LABEL/\xe7/g;
  	s/SIZE/\xe8/g;
  	s/ZERO/\xe9/g;
  	s/HOME/\xea/g;
#  	s/!/\xeb/g;
  	s/GCLS/\xec/g;
  	s/SCALE/\xed/g;
  	s/SCREEN/\xee/g;
  	s/POINT/\xef/g;
  	s/XPOS/\xf0/g;
# 	s/!/\xf1/g;
  	s/YPOS/\xf2/g;

	# Reihenfolge ist wichtig 
  	s/ON/\x91/g;	# wg. CONT
  	s/OR/\xb2/g;	# wg. BORDER
  	s/CLS/\x99/g;	# wg. GCLS
  	s/END/\x80/g;	#wg. THEN D..
  	s/LET/\x87/g;	#wg. SCALE T
  	s/LEN/\xc8/g;	#wg. SCALE N

	$_;
}
