#!/usr/bin/perl
# vp 04.08.2009 

use List::Util qw[min max];

die <<HELP unless @ARGV;
Aufruf: tap2bin tap-file
konvertiert AF-TAP-Dateien ins (raw) BIN-Format (ohne Header!)
HELP

open IN, "<$ARGV[0]";
binmode IN;

($OUT = $ARGV[0]) =~ s/tap/bin/i;
die "Fehler: keine TAP-Datei!" if $OUT =~ /$ARGV[0]/i;

print "$OUT ";
open OUT, ">$OUT";
binmode OUT;

# Header lesen
read IN, $block, 16; 
if ($block ne 'KC-TAPE by AF. ') {
	close IN;
	print 'Kein TAP-Format!';
	exit;
}

# Kopfblock einlesen und Typ auswerten

# Blocknummer
read IN, $block, 1;
# block
read IN, $block, 128;


if ( $block =~ /^\xD3\xD3\xD3/ ) {
	# if Basic
	
	# bei basic: keine Ahnung, mal ein bisschen probieren ...
	
	# Header im Kopfblock lschen
	if (ord($block) == 1) { 
		substr($_,0,11) = '';
	}
	print OUT $block; 
	
	until (eof IN) {
		# Blocknummer
		read IN, $block, 1; 
		#printf "%.2lX ", ord $block;
		
		# Block
		read IN, $_, 128;
		print OUT $_;
	}
	
	close IN;
	close OUT;
	
	
} else {# if nicht-basic

	# bei nicht basic nur bis letzte_adresse speichern (
	# das letzte Byte auf der Endadresse wird nicht gespeichert
	#Fehler von A.Schn ??? )

	#KC-Header
	($name, $typ, , , , , , , $aadr, $eadr, $sadr) = unpack("
		a8		   # dateiname: array[0..7] of char;
		a3		   # dateityp: array[0..2] of char;
		xx		   # e1, e2: byte;
		xxxx		   # psum, arb, blnr, lblnr: byte;
		sss		   # aadr, eadr, sadr: word;
		x		   # sby: byte;
		", $block
	);
	# print "name $name, typ $typ, aadr $aadr, eadr $eadr, sadr $sadr\n";

	$filelength = $eadr-$aadr;
	#print "name $name, typ $typ, filelength $filelength\n";
	
	while ($filelength > 0) {
		# Blocknummer
		read IN, $block, 1; 
		#printf "%.2lX ", ord $block;
		
		# Block
		read IN, $_, 128;
		syswrite OUT, $_, min($filelength, 128);
		$filelength -= 128;
	}
	
	close IN;
	close OUT;
}
