#!/usr/bin/perl
# vp 18.07.2004 11:14

#$ARGV[0]='D:\user\volker\z9001\basicdecode\r+memory_sss.tap';
#$ARGV[0]='D:\user\volker\z9001\basicdecode\aupgm1_sss.tap';

die <<HELP unless @ARGV;
Aufruf: $0 tap-file
konvertiert Basic-AF-TAP-Dateien ins ASCII-Format
HELP

open IN, "<$ARGV[0]";
binmode IN;

($OUT = $ARGV[0]) =~ s/_(sss|www).tap/.bas/i;
die "Fehler: keine TAP-Datei!" if $OUT =~ /$ARGV[0]/i;

# AF-Header lesen
read IN, $block, 16; 
if ($block ne 'KC-TAPE by AF. ') {
	close IN;
	print 'Kein TAP-Format!';
	exit;
}

# File einlesen
$text = '';
until (eof IN) {
	# Blocknummer
	read IN, $block, 1; 
	
	# Block
	read IN, $_, 128;
	$text .= $_;
}
close IN;


# Kovertierung und Ausgabe
print "$OUT ";
open OUT, ">$OUT";

# Kopf berspringen ('D3D3D3' + 8 Byte Name + 2 Byte Gesamtlnge)
$pos = 13;

while ($pos < length($text)) 
{
	# 2 Byte Adresse nchste Zeile
	last if substr($text,$pos,2) eq "\x00\x00";
	$pos += 2;
	# 2 Byte Zeilennummer
	$linenr = substr($text,$pos,2);
	$linenr = unpack('v2',$linenr);
	$pos += 2;
	# Zeile
	$i=0;
	while ( ord(substr($text,$pos+$i,1)) != 0 ) { $i++ };
	$line = substr($text,$pos,$i);
	last if $i == 0;
	$pos += $i+1;
	$line = expand_basic($line);
	print OUT ($linenr), ' ', $line, "\n";
}

close OUT;

print "OK\n";

sub expand_basic {
	$_ = shift;

#Ersetzung ist zu einfach und darf innerhalb von Strings nicht erfolgen!
	
  	s/\x80/END/g;
  	s/\x81/FOR/g;
  	s/\x82/NEXT/g;
  	s/\x83/DATA/g;
  	s/\x84/INPUT/g;
  	s/\x85/DIM/g;
  	s/\x86/READ/g;
  	s/\x87/LET/g;
  	s/\x88/GOTO/g;
  	s/\x89/RUN/g;
  	s/\x8a/IF/g;
  	s/\x8b/RESTORE/g;
  	s/\x8c/GOSUB/g;
  	s/\x8d/RETURN/g;
  	s/\x8e/REM/g;
  	s/\x8f/STOP/g;
  	s/\x90/OUT/g;
  	s/\x91/ON/g;
  	s/\x92/NULL/g;
  	s/\x93/WAIT/g;
  	s/\x94/DEF/g;
  	s/\x95/POKE/g;
  	s/\x96/DOKE/g;
  	s/\x97/AUTO/g;
  	s/\x98/LINES/g;
  	s/\x99/CLS/g;
  	s/\x9a/WIDTH/g;
  	s/\x9b/BYE/g;
  	s/\x9c/!/g;
  	s/\x9d/CALL/g;
  	s/\x9e/PRINT/g;
  	s/\x9f/CONT/g;
  	s/\xa0/LIST/g;
  	s/\xa1/CLEAR/g;
  	s/\xa2/CLOAD/g;
  	s/\xa3/CSAVE/g;
  	s/\xa4/NEW/g;
  	s/\xa5/TAB(/g;
  	s/\xa6/TO/g;
  	s/\xa7/FN/g;
  	s/\xa8/SPC(/g;
  	s/\xa9/THEN/g;
  	s/\xaa/NOT/g;
  	s/\xab/STEP/g;
  	s/\xac/+/g;
  	s/\xad/-/g;
  	s/\xae/*/g;
  	s/\xaf/\//g;
  	s/\xb0/^/g;
  	s/\xb1/AND/g;
  	s/\xb2/OR/g;
  	s/\xb3/>/g;
  	s/\xb4/=/g;
  	s/\xb5/</g;
  	s/\xb6/SGN/g;
  	s/\xb7/INT/g;
  	s/\xb8/ABS/g;
  	s/\xb9/USR/g;
  	s/\xba/FRE/g;
  	s/\xbb/INP/g;
  	s/\xbc/POS/g;
  	s/\xbd/SQR/g;
  	s/\xbe/RND/g;
  	s/\xbf/LN/g;
  	s/\xc0/EXP/g;
  	s/\xc1/COS/g;
  	s/\xc2/SIN/g;
  	s/\xc3/TAN/g;
  	s/\xc4/ATN/g;
  	s/\xc5/PEEK/g;
  	s/\xc6/DEEK/g;
  	s/\xc7/PI/g;
  	s/\xc8/LEN/g;
  	s/\xc9/STR\$/g;
  	s/\xca/VAL/g;
  	s/\xcb/ASC/g;
  	s/\xcc/chr\$/g;
  	s/\xcd/LEFT\$/g;
  	s/\xce/RIGHT\$/g;
  	s/\xcf/MID\$/g;
  	s/\xd0/LOAD/g;
  	s/\xd1/TRON/g;
  	s/\xd2/TROFF/g;
  	s/\xd3/EDIT/g;
  	s/\xd4/ELSE/g;

	# Erweiterung M511
  	s/\xd5/INKEY\$/g;
  	s/\xd6/JOYST/g;
  	s/\xd7/STRING\$/g;
  	s/\xd8/INSTR/g;
  	s/\xd9/RENUM/g;	#RENUMBER
  	s/\xda/DELETE/g;
  	s/\xdb/PAUSE/g;
  	s/\xdc/BEEP/g;
  	s/\xdd/WINDOW/g;
  	s/\xde/BORDER/g;
  	s/\xdf/INK/g;
  	s/\xe0/PAPER/g;
  	s/\xe1/AT/g;
  	# Erweiterung BM608
  	s/\xe2/PSET/g;
  	s/\xe3/LINE/g;
  	s/\xe4/CIRCLE/g;
  	s/\xe5/!/g;
  	s/\xe6/PAINT/g;
  	s/\xe7/LABEL/g;
  	s/\xe8/SIZE/g;
  	s/\xe9/ZERO/g;
  	s/\xea/HOME/g;
  	s/\xeb/!/g;
  	s/\xec/GCLS/g;
  	s/\xed/SCALE/g;
  	s/\xee/SCREEN/g;
  	s/\xef/POINT/g;
  	s/\xf0/XPOS/g;
  	s/\xf1/!/g;
  	s/\xf2/YPOS/g;
	
	$_;
}
