//	Z9001		vp080522
//
//      This file contains the user-defined type definitions.
//      To use it press F2 in IDA and enter the name of this file.
//

#define UNLOADED_FILE   1
#include <idc.idc>

static main(void) {
        Enums();                // enumerations
        Structures();           // structure types
	LowVoids(0x20);
	HighVoids(0x7CE0);
}

static Enums_0(id) {

	id = AddEnum(-1,"PORTS",0x1100000);
	AddConstEx(id,"CTC0",	0X0080,	-1);	SetConstCmt(GetConst(id,0X0080,-1),"System CTC0 Kassette, Beeper",1);
	AddConstEx(id,"CTC1",	0X0081,	-1);	SetConstCmt(GetConst(id,0X0081,-1),"System CTC1 Anwenderport",1);
	AddConstEx(id,"CTC2",	0X0082,	-1);	SetConstCmt(GetConst(id,0X0082,-1),"System CTC2 Systemuhr",1);
	AddConstEx(id,"CTC3",	0X0083,	-1);	SetConstCmt(GetConst(id,0X0083,-1),"System CTC3 Systemuhr",1);
	AddConstEx(id,"PIO1AD",	0X0088,	-1);	SetConstCmt(GetConst(id,0X0088,-1),"PIO1 A Daten Beeper, Border, 20Z",1);
	AddConstEx(id,"PIO1BD",	0X0089,	-1);	SetConstCmt(GetConst(id,0X0089,-1),"PIO1 B Daten Anwenderport",1);
	AddConstEx(id,"PIO1AS",	0X008A,	-1);	SetConstCmt(GetConst(id,0X008A,-1),"PIO1 A Kommando",1);
	AddConstEx(id,"PIO1BS",	0X008B,	-1);	SetConstCmt(GetConst(id,0X008B,-1),"PIO1 B Kommando Anwenderport",1);
	AddConstEx(id,"PIO2AD",	0X0090,	-1);	SetConstCmt(GetConst(id,0X0090,-1),"Tastatur-PIO2 A Daten",1);
	AddConstEx(id,"PIO2BD",	0X0091,	-1);	SetConstCmt(GetConst(id,0X0091,-1),"Tastatur-PIO2 B Daten",1);
	AddConstEx(id,"PIO2AS",	0X0092,	-1);	SetConstCmt(GetConst(id,0X0092,-1),"Tastatur-PIO2 A Kommando",1);
	AddConstEx(id,"PIO2BS",	0X0093,	-1);	SetConstCmt(GetConst(id,0X0093,-1),"Tastatur-PIO2 B Kommando",1);

	id = AddEnum(-1,"RAM",0x1100000);
	AddConstEx(id,"IOBYT",	0X0004,	-1);	SetConstCmt(GetConst(id,0X0004,-1),"I/O-Byte zur Zuweisung log.Gert phy. Gert",1);
	AddConstEx(id,"SPSV",	0X000B,	-1);	SetConstCmt(GetConst(id,0X000B,-1),"Register fr aktuellen Steck bei Eintritt in BOS",1);
	AddConstEx(id,"BCSV",	0X000D,	-1);	SetConstCmt(GetConst(id,0X000D,-1),"Register fr BC bei Eintritt in BOS",1);
	AddConstEx(id,"ASV",	0X000F,	-1);	SetConstCmt(GetConst(id,0X000F,-1),"Register fr A bei Eintritt in BOS",1);
	AddConstEx(id,"JOYR",	0X0013,	-1);	SetConstCmt(GetConst(id,0X0013,-1),"Datenpuffer fr Spielbebel 1",1);
	AddConstEx(id,"JOY1",	0X0014,	-1);	SetConstCmt(GetConst(id,0X0014,-1),"Datenpuffer fr Spielhebel 2",1);
	AddConstEx(id,"LISW",	0X0015,	-1);	SetConstCmt(GetConst(id,0X0015,-1),"Schalter fr Hardcopy. 0 kein Copy, 1 Copy",1);
	AddConstEx(id,"BSW",	0X0016,	-1);	SetConstCmt(GetConst(id,0X0016,-1),"Schalter fr Kontrollton. 0 kein Kontrollton, 1 Kontrollton",1);
	AddConstEx(id,"COLSW",	0X0017,	-1);	SetConstCmt(GetConst(id,0X0017,-1),"Merkzelle fr Farbsteuercode",1);
	AddConstEx(id,"DMA",	0X001B,	-1);	SetConstCmt(GetConst(id,0X001B,-1),"Zeiger auf Puffer fr Kassetten-E/A",1);
	AddConstEx(id,"HOUR",	0X001D,	-1);	SetConstCmt(GetConst(id,0X001D,-1),"Puffer fr Stunden",1);
	AddConstEx(id,"MIN",	0X001E,	-1);	SetConstCmt(GetConst(id,0X001E,-1),"Puffer fr Minuten",1);
	AddConstEx(id,"SEC",	0X001F,	-1);	SetConstCmt(GetConst(id,0X001F,-1),"Puffer fr Sekunden",1);
	AddConstEx(id,"COUNT",	0X0023,	-1);	SetConstCmt(GetConst(id,0X0023,-1),"Zhler zur Tastaturentprellung und REPEAT-Funktion der Tastatur",1);
	AddConstEx(id,"LAKEY",	0X0024,	-1);	SetConstCmt(GetConst(id,0X0024,-1),"Merkzelle fr letztes gltiges Zeichen von Tastatur",1);
	AddConstEx(id,"KEYBU",	0X0025,	-1);	SetConstCmt(GetConst(id,0X0025,-1),"Tastaturpuffer",1);
	AddConstEx(id,"SHLOC",	0X0026,	-1);	SetConstCmt(GetConst(id,0X0026,-1),"Schalter fr SHIFT LOCK. 0 kein SHIFT LOCK, 1 SHIFT LOCK",1);
	AddConstEx(id,"ATRIB",	0X0027,	-1);	SetConstCmt(GetConst(id,0X0027,-1),"aktuelles Farbattribut",1);
	AddConstEx(id,"CHARP",	0X002B,	-1);	SetConstCmt(GetConst(id,0X002B,-1),"aktuelle Spalte d. Cursors(1-40)",1);
	AddConstEx(id,"LINEP",	0X002C,	-1);	SetConstCmt(GetConst(id,0X002C,-1),"aktuelle Zeile d. Cursors(1-24)",1);
	AddConstEx(id,"CURS",	0X002D,	-1);	SetConstCmt(GetConst(id,0X002D,-1),"aktuelle physische Adresse des Cursors",1);
	AddConstEx(id,"PU",	0X002F,	-1);	SetConstCmt(GetConst(id,0X002F,-1),"Hilfszelle",1);
	AddConstEx(id,"WORKA",	0X0033,	-1);	SetConstCmt(GetConst(id,0X0033,-1),"Hilfszelle",1);
	AddConstEx(id,"BUFFA",	0X0034,	-1);	SetConstCmt(GetConst(id,0X0034,-1),"Puffer fr das Attribut des von Cursor berlagerten Zeichens",1);
	AddConstEx(id,"BU",	0X0035,	-1);	SetConstCmt(GetConst(id,0X0035,-1),"Hilfszelle",1);
	AddConstEx(id,"EOR",	0X0036,	-1);	SetConstCmt(GetConst(id,0X0036,-1),"Zeiger auf letzte fr Anwender freie Adresse",1);
	AddConstEx(id,"P1ROL",	0X003B,	-1);	SetConstCmt(GetConst(id,0X003B,-1),"1. rollende Zeile - 1",1);
	AddConstEx(id,"P2ROL",	0X003C,	-1);	SetConstCmt(GetConst(id,0X003C,-1),"letzte zu rollende Zeile + 1",1);
	AddConstEx(id,"P3ROL",	0X003D,	-1);	SetConstCmt(GetConst(id,0X003D,-1),"1. zu rollende Spalte - 1",1);
	AddConstEx(id,"P4ROL",	0X003E,	-1);	SetConstCmt(GetConst(id,0X003E,-1),"letzte zu rollende Spalte + 1",1);
	AddConstEx(id,"BUFF",	0X003F,	-1);	SetConstCmt(GetConst(id,0X003F,-1),"Puffer fr das vom Cursor berschriebene Zeichen",1);
	AddConstEx(id,"PARBU",	0X0040,	-1);	SetConstCmt(GetConst(id,0X0040,-1),"Hilfszelle zur Paramterpufferung",1);
	AddConstEx(id,"FCB",	0X005C,	-1);	SetConstCmt(GetConst(id,0X005C,-1),"Dateikontrollblock",1);
	AddConstEx(id,"FNAME",	0X005C,	-1);	SetConstCmt(GetConst(id,0X005C,-1),"Dateiname 8 Zeichen",1);
	AddConstEx(id,"FTYP",	0X0064,	-1);	SetConstCmt(GetConst(id,0X0064,-1),"Dateityp 3 Zeichen",1);
	AddConstEx(id,"PSUM",	0X0069,	-1);	SetConstCmt(GetConst(id,0X0069,-1),"Prfsumme eines Datenblockes",1);
	AddConstEx(id,"ARB",	0X006A,	-1);	SetConstCmt(GetConst(id,0X006A,-1),"Hilfszelle fr Kassettentreiber",1);
	AddConstEx(id,"BLNR",	0X006B,	-1);	SetConstCmt(GetConst(id,0X006B,-1),"Blocknummer",1);
	AddConstEx(id,"LBLNR",	0X006C,	-1);	SetConstCmt(GetConst(id,0X006C,-1),"gesuchte Blocknummer bei Lesen",1);
	AddConstEx(id,"AADR",	0X006D,	-1);	SetConstCmt(GetConst(id,0X006D,-1),"Dateianfangsadresse",1);
	AddConstEx(id,"EADR",	0X006F,	-1);	SetConstCmt(GetConst(id,0X006F,-1),"Dateiendeadresse",1);
	AddConstEx(id,"SADR",	0X0071,	-1);	SetConstCmt(GetConst(id,0X0071,-1),"Startadresse, wenn Datei ein Maschinencodeprogramm ist",1);
	AddConstEx(id,"SBY",	0X0073,	-1);	SetConstCmt(GetConst(id,0X0073,-1),"Schutzbyte. 0 nicht geschtzt, 1 geschtzt",1);
	AddConstEx(id,"CONBU",	0X0080,	-1);	SetConstCmt(GetConst(id,0X0080,-1),"CCP-Eingabepuffer und Standardpuffer fr Kassetten-E/A",1);
	AddConstEx(id,"INTLN",	0X0100,	-1);	SetConstCmt(GetConst(id,0X0100,-1),"interner Zeichenkettenpuffer",1);
	AddConstEx(id,"INTV",	0X0200,	-1);	SetConstCmt(GetConst(id,0X0200,-1),"Interruptadresstabelle",1);

	AddConstEx(id,"RTTYC",	0X0280,	-1);	SetConstCmt(GetConst(id,0X0280,-1),"RAM TTY-Treiber fr CONST",1);
	AddConstEx(id,"RCRTC",	0X0284,	-1);	SetConstCmt(GetConst(id,0X0284,-1),"RAM CRT-Treiber fr CONST",1);
	AddConstEx(id,"RBATC",	0X0288,	-1);	SetConstCmt(GetConst(id,0X0288,-1),"RAM BAT-Treiber fr CONST",1);
	AddConstEx(id,"RUC",	0X028C,	-1);	SetConstCmt(GetConst(id,0X028C,-1),"RAM UC-Treiber fr CONST",1);
	AddConstEx(id,"PTTYR",	0X0290,	-1);	SetConstCmt(GetConst(id,0X0290,-1),"RAM TTY-Treiber fr READER",1);
	AddConstEx(id,"RRDR",	0X0294,	-1);	SetConstCmt(GetConst(id,0X0294,-1),"RAM RDR-Treiber fr READER",1);
	AddConstEx(id,"RUR1",	0X0298,	-1);	SetConstCmt(GetConst(id,0X0298,-1),"RAM UR1-Treiber fr READER",1);
	AddConstEx(id,"RUR2",	0X029C,	-1);	SetConstCmt(GetConst(id,0X029C,-1),"RAM UR2-Treiber fr READER",1);
	AddConstEx(id,"RTTYP",	0X02A0,	-1);	SetConstCmt(GetConst(id,0X02A0,-1),"RAM TTY-Treiber fr PUNCH",1);
	AddConstEx(id,"RPUN",	0X02A4,	-1);	SetConstCmt(GetConst(id,0X02A4,-1),"RAM PUN-Treiber fr PUNCH",1);
	AddConstEx(id,"RUP1",	0X02A8,	-1);	SetConstCmt(GetConst(id,0X02A8,-1),"RAM UP1-Treiber fr PUNCH",1);
	AddConstEx(id,"RUP2",	0X02AC,	-1);	SetConstCmt(GetConst(id,0X02AC,-1),"RAM UP2-Treiber fr PUNCH",1);
	AddConstEx(id,"RTTYL",	0X02B0,	-1);	SetConstCmt(GetConst(id,0X02B0,-1),"RAM TTY-Treiber fr LIST",1);
	AddConstEx(id,"RCRTL",	0X02B4,	-1);	SetConstCmt(GetConst(id,0X02B4,-1),"RAM CRT-Treiber fr LIST",1);
	AddConstEx(id,"RLST",	0X02B8,	-1);	SetConstCmt(GetConst(id,0X02B8,-1),"RAM LST-Treiber fr LIST",1);
	AddConstEx(id,"RUL",	0X02BC,	-1);	SetConstCmt(GetConst(id,0X02BC,-1),"RAM UL-Treiber fr LIST",1);
	AddConstEx(id,"SYSR",	0X02C0,	-1);	SetConstCmt(GetConst(id,0X02C0,-1),"reserviert fr Systemerweiterung",1);
	AddConstEx(id,"SYSB",	0XEFC0,	-1);	SetConstCmt(GetConst(id,0XEFC0,-1),"Systembyte",1);
	AddConstEx(id,"MAPAR",	0XEFC1,	-1);	SetConstCmt(GetConst(id,0XEFC1,-1),"64-Bit-Register fr Speicherkonfiguration",1);
	AddConstEx(id,"ATTYC",	0XEFC9,	-1);	SetConstCmt(GetConst(id,0XEFC9,-1),"Adresse TTY-Treiber fr CONST",1);
	AddConstEx(id,"ACRTC",	0XEFCB,	-1);	SetConstCmt(GetConst(id,0XEFCB,-1),"Adresse CRT-Treiber fr CONST",1);
	AddConstEx(id,"ABATC",	0XEFCD,	-1);	SetConstCmt(GetConst(id,0XEFCD,-1),"Adresse BAT-Treiber fr CONST",1);
	AddConstEx(id,"AUC",	0XEFCF,	-1);	SetConstCmt(GetConst(id,0XEFCF,-1),"Adresse UC-Treiber fr CONST",1);
	AddConstEx(id,"ATTYR",	0XEFD1,	-1);	SetConstCmt(GetConst(id,0XEFD1,-1),"Adresse TTY-Treiber fr READER",1);
	AddConstEx(id,"ARDR",	0XEFD3,	-1);	SetConstCmt(GetConst(id,0XEFD3,-1),"Adresse RDR-Treiber fr READER",1);
	AddConstEx(id,"AUR1",	0XEFD5,	-1);	SetConstCmt(GetConst(id,0XEFD5,-1),"Adresse UR1-Treiber fr READER",1);
	AddConstEx(id,"AUR2",	0XEFD7,	-1);	SetConstCmt(GetConst(id,0XEFD7,-1),"Adresse UR2-Treiber fr READER",1);
	AddConstEx(id,"ATTYP",	0XEFD9,	-1);	SetConstCmt(GetConst(id,0XEFD9,-1),"Adresse TTY-Treiber fr PUNCH",1);
	AddConstEx(id,"APUN",	0XEFDB,	-1);	SetConstCmt(GetConst(id,0XEFDB,-1),"Adresse PUN-Treiber fr PUNCH",1);
	AddConstEx(id,"AUP1",	0XEFDD,	-1);	SetConstCmt(GetConst(id,0XEFDD,-1),"Adresse UP1-Treiber fr PUNCH",1);
	AddConstEx(id,"AUP2",	0XEFDF,	-1);	SetConstCmt(GetConst(id,0XEFDF,-1),"Adresse UP2-Treiber fr PUNCH",1);
	AddConstEx(id,"ATTYL",	0XEFE1,	-1);	SetConstCmt(GetConst(id,0XEFE1,-1),"Adresse TTY-Treiber fr LIST",1);
	AddConstEx(id,"ACRTL",	0XEFE3,	-1);	SetConstCmt(GetConst(id,0XEFE3,-1),"Adresse CRT-Treiber fr LIST",1);
	AddConstEx(id,"ALST",	0XEFE5,	-1);	SetConstCmt(GetConst(id,0XEFE5,-1),"Adresse LST-Treiber fr LIST",1);
	AddConstEx(id,"AUL",	0XEFE7,	-1);	SetConstCmt(GetConst(id,0XEFE7,-1),"Adresse UL-Treiber fr LIST",1);
	AddConstEx(id,"TXCON",	0XEFE9,	-1);	SetConstCmt(GetConst(id,0XEFE9,-1),"Adresse einer Zeichenkette des aktuellen CONST-Gertes",1);
	AddConstEx(id,"TXRDR",	0XEFEB,	-1);	SetConstCmt(GetConst(id,0XEFEB,-1),"Adresse einer Zeichenkette des aktuellen READER-Gertes",1);
	AddConstEx(id,"TXPUN",	0XEFED,	-1);	SetConstCmt(GetConst(id,0XEFED,-1),"Adresse einer Zeichenkette des aktuellen PUNCH-Gertes",1);
	AddConstEx(id,"TXLST",	0XEFEF,	-1);	SetConstCmt(GetConst(id,0XEFEF,-1),"Adresse einer Zeichenkette des aktuellen LIST-Gertes",1);

	id = AddEnum(-1,"CALL5",0x1100000);
	AddConstEx(id,"INIT",	0X0000,	-1);	SetConstCmt(GetConst(id,0X0000,-1),"Ausfhrung eines Kaltstartes",1);
	AddConstEx(id,"CONSI",	0X0001,	-1);	SetConstCmt(GetConst(id,0X0001,-1),"Eingabe eines Zeichens von CONST",1);
	AddConstEx(id,"CONSO",	0X0002,	-1);	SetConstCmt(GetConst(id,0X0002,-1),"Ausgabe eines Zeichens zu CONST",1);
	AddConstEx(id,"READI",	0X0003,	-1);	SetConstCmt(GetConst(id,0X0003,-1),"Eingabe eines Zeichens von READ",1);
	AddConstEx(id,"PUNO",	0X0004,	-1);	SetConstCmt(GetConst(id,0X0004,-1),"Ausgabe eines Zeichens zu PUNCH",1);
	AddConstEx(id,"LISTO",	0X0005,	-1);	SetConstCmt(GetConst(id,0X0005,-1),"Ausgabe eines Zeichens zu LIST",1);
	AddConstEx(id,"GETST",	0X0006,	-1);	SetConstCmt(GetConst(id,0X0006,-1),"Abfrage der Spielbebel",1);
	AddConstEx(id,"GETIO",	0X0007,	-1);	SetConstCmt(GetConst(id,0X0007,-1),"Lesen I/O-Byte",1);
	AddConstEx(id,"SETIO",	0X0008,	-1);	SetConstCmt(GetConst(id,0X0008,-1),"Setzen I/O-Byte",1);
	AddConstEx(id,"PRNST",	0X0009,	-1);	SetConstCmt(GetConst(id,0X0009,-1),"Ausgabe einer Zeichenkette zu CONST",1);
	AddConstEx(id,"RCONB",	0X000A,	-1);	SetConstCmt(GetConst(id,0X000A,-1),"Eingabe einer Zeichenkette von CONST",1);
	AddConstEx(id,"CSTS",	0X000B,	-1);	SetConstCmt(GetConst(id,0X000B,-1),"Abfrage Status CONST",1);
	AddConstEx(id,"RETVN",	0X000C,	-1);	SetConstCmt(GetConst(id,0X000C,-1),"Abfrage der Verionsnummer des Monitors",1);
	AddConstEx(id,"OPENR",	0X000D,	-1);	SetConstCmt(GetConst(id,0X000D,-1),"Erffnen Kassette lesen",1);
	AddConstEx(id,"CLOSR",	0X000E,	-1);	SetConstCmt(GetConst(id,0X000E,-1),"Abschlieen Kassette lesen",1);
	AddConstEx(id,"OPENW",	0X000F,	-1);	SetConstCmt(GetConst(id,0X000F,-1),"Erffnen Kassette schreiben",1);
	AddConstEx(id,"CLOSW",	0X0010,	-1);	SetConstCmt(GetConst(id,0X0010,-1),"Abschlieen Kassette schreiben",1);
	AddConstEx(id,"GETCU",	0X0011,	-1);	SetConstCmt(GetConst(id,0X0011,-1),"Abfrage logische und physische Cursoradresse",1);
	AddConstEx(id,"SETCU",	0X0012,	-1);	SetConstCmt(GetConst(id,0X0012,-1),"Setzen logische Cursoradresse",1);
	AddConstEx(id,"BOSER",	0X0013,	-1);	SetConstCmt(GetConst(id,0X0013,-1),"nicht benutzt",1);
	AddConstEx(id,"READS",	0X0014,	-1);	SetConstCmt(GetConst(id,0X0014,-1),"Lesen eines Blockes von Kassette",1);
	AddConstEx(id,"WRITS",	0X0015,	-1);	SetConstCmt(GetConst(id,0X0015,-1),"Schreiben eines Blockes auf Kassette",1);
	AddConstEx(id,"SETTI",	0X0016,	-1);	SetConstCmt(GetConst(id,0X0016,-1),"Stellen der Systemuhr",1);
	AddConstEx(id,"GETTI",	0X0017,	-1);	SetConstCmt(GetConst(id,0X0017,-1),"Abfrage der Systemuhr",1);
	AddConstEx(id,"PRITI",	0X0018,	-1);	SetConstCmt(GetConst(id,0X0018,-1),"Ausgabe der Systemzeit als Zeichenkette",1);
	AddConstEx(id,"INITA",	0X0019,	-1);	SetConstCmt(GetConst(id,0X0019,-1),"Initialisierung der Tastatur und der Systemuhr",1);
	AddConstEx(id,"SETDM",	0X001A,	-1);	SetConstCmt(GetConst(id,0X001A,-1),"Setzen der Pufferadresse fr Kassette lesen/schreiben",1);
	AddConstEx(id,"GETM",	0X001B,	-1);	SetConstCmt(GetConst(id,0X001B,-1),"Abfrage der Speicherkonfiguration",1);
	AddConstEx(id,"SETM",	0X001C,	-1);	SetConstCmt(GetConst(id,0X001C,-1),"Setzen der Speicherkonfiguration",1);
	AddConstEx(id,"DCU",	0X001D,	-1);	SetConstCmt(GetConst(id,0X001D,-1),"Lschen Cursor",1);
	AddConstEx(id,"SCU",	0X001E,	-1);	SetConstCmt(GetConst(id,0X001E,-1),"Setzen Cursor",1);
	AddConstEx(id,"COEXT",	0X001F,	-1);	SetConstCmt(GetConst(id,0X001F,-1),"Zeichenkette vorverarbeiten",1);
	AddConstEx(id,"B0SER",	0X0020,	-1);	SetConstCmt(GetConst(id,0X0020,-1),"nicht genutzt",1);
	AddConstEx(id,"RRAND",	0X0021,	-1);	SetConstCmt(GetConst(id,0X0021,-1),"Lesen eines Blockes von Kassette (vgl. READS)",1);

// TODO:

// Farben
// 0 schwarz   
// 1 rot   
// 2 grn   
// 3 gelb   
// 4 blau   
// 5 purpur (violett)   
// 6 cyan (hellblau)   
// 7 weiss 
// 
// Tasten
// 
// 01		CTRL/A
// 02	CLLN	CTRL/B	Sys.-Ruf 10 und OS-Mode: Lschen aller eingegebenen Zeichen
// 03	STOP	CTRL/C	Sys.-Ruf 10: Abbruch der Eingabe 
// 			OS-Mode: Durchfhren eines Warmstarts
// 04		CTRL/D
// 05 (F)		CTRL/E	nchstes Zeichen Ist Code fr Bildschirmrandfarbe
// 06 (F)		CTRL/F	Blinken EIN/AUS fr alle folgenden Zeichen
// 07		CTRL/G	Ausgabe eines Summertones
// 08	< 	CTRL/H	Sys.-Ruf 2 und 9: Cursor nach links ohne Zeichenlschen 
// 			Sys.-Ruf 10 und OS-Mode: Lschen des letzten Zeichens
// 09	> 	CTRL/I	Cursor nach rechts ohne Zeichenlschen
// 0A	v 	CTRL/J	Sys.-Ruf 2 und 9: Cursor runter ohne Zeichenlschen Bildschirm rollt aufwrts
// 0B	^ 	CTRL/K	Sys.-Ruf 2 und 9: Cursor hoch ohne Zeichenlschen Bildschirm rollt abwrts
// 0C		CTRL/L	Bildschirm lschen
// 0D	ENTER	CTRL/M	Sys.-Ruf 2 und 9: Cursor an den Anfang der Zeile ohne Zeichenlschen 
// 			Sys.-Ruf 10 und OS-Mode: Zeilenabschlu und Ausgabe CRLF
// 0E		CTRL/N
// 0F		CTRL/O
// 10		CTRL/P	Parallelausgabe auf LIST-Gert EIN/AUS (LIST-Gert mu vorher zugewiesen werden)
// 11		CTRL/Q	Kontrollton EIN/AUS
// 12		CTRL/R
// 13	PAUSE	CTRL/S
// 14 (F)	COLOR	CTRL/T	nchstes Zeichen ist Code fr Vordergrundfarbe
// 15 (F)	COLOR+SHIFT CTRL/U	nchstes Zeichen ist Code fr Hintergrundfarbe
// 16 (F)		CTRL/V	Inversdarstellung aller folgenden Zeichen
// 17		CTRL/W
// 18		CTRL/X
// 19		CTRL/Y
// 1A	INS
// 1B	ESC
// 1C	LIST
// 1D	RUN
// 1E	CONT
// 1F	DEL

	return id;
}

//------------------------------------------------------------------------
// Information about enum types

static Enums(void) {
        auto id;
	id = Enums_0(id);
}

//------------------------------------------------------------------------
// Information about structure types

static Structures(void) {
        auto id;
}

// End of file.













